Subject: bug#76004: 31.0.50; feature/igc crashed on Linux, wayland (with full gdb debug info)

From: Pip Cet <[email-masked]>
Date: Sun, 02 Feb 2025 10:21:42 +0000

"Eval Exec" <[email-masked]> writes:

Oh, sorry, I messed up twice.

> (gdb) p &lispsym
> $1 = (struct Lisp_Symbol (*)[1786]) 0xd459c0 <lispsym>

can you run "start" and repeat the command, or attach to a core file?
In my case:

(gdb) p &lispsym
$1 = (struct Lisp_Symbol (*)[1770]) 0x4eece0 <lispsym>
(gdb) start
Temporary breakpoint 1 at 0x80260: file emacs.c, line 1258.
Starting program:
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".

Temporary breakpoint 1, main (argc=1, argv=0x7fffffffd888) at emacs.c:1258
1258	{
(gdb) p &lispsym
$2 = (struct Lisp_Symbol (*)[1770]) 0x555555a42ce0 <lispsym>

It is this second, larger value we're interested in.

> $ objdump -h /home/exec/Projects/git.savannah.gnu.org/git/emacs-build/feature_igc-6f7e916a6c80df11bf169587913fb0443f6b5490-gdb/bin/emacs-31.0.50

I meant to ask for objdump -h to be called on the core file (which gives
us the runtime memory map), not the executable (which lists only the
static sections).  However, I would have asked for the other one too,
most likely :-)

Sorry for the imprecise instructions!

Thanks
Pip